xcb_xf86dri_create_drawable(3)

NAME
xcb_xf86dri_create_drawable -

SYNOPSIS
#include <xcb/xf86dri.h>

  Request function

xcb_xf86dri_create_drawable_cookie_t xcb_xf86dri_create_drawable(xcb_connection_t *conn, uint32_t screen, uint32_t drawable);

  Reply datastructure

typedef struct xcb_xf86dri_create_drawable_reply_t {
    uint8_t  response_type;
    uint8_t  pad0;
    uint16_t sequence;
    uint32_t length;
    uint32_t hw_drawable_handle;
} xcb_xf86dri_create_drawable_reply_t;

  Reply function

xcb_xf86dri_create_drawable_reply_t *xcb_xf86dri_create_drawable_reply(xcb_connection_t *conn, xcb_xf86dri_create_drawable_cookie_t cookie, xcb_generic_error_t **e);

REQUEST ARGUMENTS

conn
    The XCB connection to X11.

screen
    TODO: NOT YET DOCUMENTED.

drawable
    TODO: NOT YET DOCUMENTED.

REPLY FIELDS

response_type
    The type of this reply, in this case XCB_XF86DRI_CREATE_DRAWABLE. This field is also present in the xcb_generic_reply_t and can be used to tell replies apart from each other.

sequence
    The sequence number of the last request processed by the X11 server.

length
    The length of the reply, in words (a word is 4 bytes).

hw_drawable_handle
    TODO: NOT YET DOCUMENTED.

DESCRIPTION

RETURN VALUE
Returns an xcb_xf86dri_create_drawable_cookie_t. Errors have to be handled when calling the reply function xcb_xf86dri_create_drawable_reply. If you want to handle errors in the event loop instead, use xcb_xf86dri_create_drawable_unchecked. See xcb-requests(3) for details.

ERRORS
This request does never generate any errors.

SEE ALSO

AUTHOR
Generated from xf86dri.xml. Contact xcb@lists.freedesktop.org for corrections and improvements.